<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/

class Core_Model_DbTable_Sitemaps extends Engine_Db_Table {

  public function hasType($params = array()) {

    return $this->select()
          ->from($this->info('name'), array('sitemap_id'))
          ->where('resource_type =?', $params['resource_type'])
          ->query()
          ->fetchColumn();
  }
}
